summaryrefslogtreecommitdiff
path: root/doc/rc.lighttpd.redhat
diff options
context:
space:
mode:
Diffstat (limited to 'doc/rc.lighttpd.redhat')
-rwxr-xr-xdoc/rc.lighttpd.redhat87
1 files changed, 87 insertions, 0 deletions
diff --git a/doc/rc.lighttpd.redhat b/doc/rc.lighttpd.redhat
new file mode 100755
index 0000000..e22d551
--- /dev/null
+++ b/doc/rc.lighttpd.redhat
@@ -0,0 +1,87 @@
+#!/bin/sh
+#
+# lighttpd Startup script for the lighttpd server
+#
+# chkconfig: - 85 15
+# description: Lightning fast webserver with light system requirements
+#
+# processname: lighttpd
+# config: /etc/lighttpd/lighttpd.conf
+# config: /etc/sysconfig/lighttpd
+# pidfile: /var/run/lighttpd.pid
+#
+# Note: pidfile is assumed to be created
+# by lighttpd (config: server.pid-file).
+# If not, uncomment 'pidof' line.
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+if [ -f /etc/sysconfig/lighttpd ]; then
+ . /etc/sysconfig/lighttpd
+fi
+
+if [ -z "$LIGHTTPD_CONF_PATH" ]; then
+ LIGHTTPD_CONF_PATH="/etc/lighttpd/lighttpd.conf"
+fi
+
+prog="lighttpd"
+lighttpd="/usr/sbin/lighttpd"
+RETVAL=0
+
+start() {
+ echo -n $"Starting $prog: "
+ daemon $lighttpd -f $LIGHTTPD_CONF_PATH
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog
+ return $RETVAL
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ killproc $lighttpd
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog
+ return $RETVAL
+}
+
+reload() {
+ echo -n $"Reloading $prog: "
+ killproc $lighttpd -HUP
+ RETVAL=$?
+ echo
+ return $RETVAL
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ condrestart)
+ if [ -f /var/lock/subsys/$prog ]; then
+ stop
+ start
+ fi
+ ;;
+ reload)
+ reload
+ ;;
+ status)
+ status $lighttpd
+ RETVAL=$?
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart|condrestart|reload|status}"
+ RETVAL=1
+esac
+
+exit $RETVAL